Skip to main content
GET
/
api
/
registeredmodels
/
v1
/
{modelName}
Get a specific Registered Model
curl --request GET \
  --url https://api.example.com/api/registeredmodels/v1/{modelName} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "createdAt": "2022-03-12T02:13:44.467Z",
  "description": "Customer churn model",
  "name": "churn-prediction",
  "ownerUsername": "martin_hito",
  "project": {
    "id": "62313ce67a0af0281c01a6a5",
    "isGitBasedProject": true,
    "name": "TO-DO",
    "ownerUsername": "TO-DO"
  },
  "requestingUserAccess": {
    "canEditModel": true,
    "canEditProjectAssets": true,
    "canViewExperimentRuns": true,
    "canViewModelApis": true,
    "canViewProject": true,
    "canViewProjectFiles": true
  },
  "tags": {},
  "updatedAt": "2022-03-12T02:13:44.467Z",
  "discoverable": false,
  "latestVersion": 1
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelName
string
required

Registered model name

Response

Success

createdAt
string<date-time>
required

When the latest version of the model was created

Example:

"2022-03-12T02:13:44.467Z"

description
string
required

Description of the model

Example:

"Customer churn model"

name
string
required

Name of the registered model

Example:

"churn-prediction"

ownerUsername
string
required

Username of the model's creator

Example:

"martin_hito"

project
object
required

type that tracks properties of the project associated with a model

requestingUserAccess
object
required

Describes the operations that the requesting user has permission to do with this model.

tags
object
required

A map of key -> value

updatedAt
string<date-time>
required

When the latest version of the model was updated

Example:

"2022-03-12T02:13:44.467Z"

discoverable
boolean
default:false

Indicates whether this model is publicly discoverable. If true, users who are not project members will see this model in search results and can view basic model details. This field may be omitted when false.

latestVersion
integer

The latest version of the model

Example:

1